Raritan PX2/PX3 JSON-RPC API: pdumodel::Inlet_2_0_4 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
pdumodel::Inlet_2_0_4 Interface Reference

Inlet interface More...

`import"Inlet.idl";`

Inheritance diagram for pdumodel::Inlet_2_0_4:

## Classes
struct | MetaData
| Inlet metadata More...
struct | Sensors
| Inlet sensors More...
struct | Settings
| Inlet settings More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the inlet metadata. More...
Sensors | getSensors ()
| Get the inlet sensors. More...
vector< Pole_5_0_0 > | getPoles ()
| Get the list of inlet poles. More...
Settings | getSettings ()
| Retrieve the inlet settings. More...
int | setSettings (in Settings settings)
| Change the inlet settings. More...
void | setEnabled (in boolean enabled)
| Enable/disable PDU operation for this inlet. More...
boolean | isEnabled ()
| Test whether PDU operation is enabled for this inlet. More...
Public Member Functions inherited from pdumodel::EDevice
vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device. More...
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device. More...

## Public Attributes
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Inlet settings have been changed. More...
Settings | newSettings
| Settings after change.
valueobject | EnableStateChangedEvent: event::UserEvent { boolean enabled
| Event: Inlet has been enabled or disabled. More...

## Detailed Description

Inlet interface

## Member Function Documentation

## ◆ getMetaData()

MetaData pdumodel::Inlet_2_0_4::getMetaData | ( |  | ) |

Retrieve the inlet metadata.

Returns
  Inlet metadata

## ◆ getPoles()

vector<Pole_5_0_0> pdumodel::Inlet_2_0_4::getPoles | ( |  | ) |

Get the list of inlet poles.

Returns
  List of inlet poles

## ◆ getSensors()

Sensors pdumodel::Inlet_2_0_4::getSensors | ( |  | ) |

Get the inlet sensors.

Returns
  Inlet sensors

## ◆ getSettings()

Settings pdumodel::Inlet_2_0_4::getSettings | ( |  | ) |

Retrieve the inlet settings.

Returns
  Inlet settings

## ◆ isEnabled()

boolean pdumodel::Inlet_2_0_4::isEnabled | ( |  | ) |

Test whether PDU operation is enabled for this inlet.

Returns
  `true` if PDU operation is enabled

## ◆ setEnabled()

void pdumodel::Inlet_2_0_4::setEnabled | ( | in boolean | enabled | ) |

Enable/disable PDU operation for this inlet.

When PDU operation is disabled the sensors for this inlet and all children will no longer be updated, and outlet switching is no longer allowed. This can be useful for multi-inlet units if one inlet is temporarily expected to be powered down.

Parameters

  enabled | `true` to enable PDU operation

## ◆ setSettings()

int pdumodel::Inlet_2_0_4::setSettings | ( | in Settings | settings | ) |

Change the inlet settings.

Parameters

  settings | New inlet settings

Returns
  0 if OK
  1 if any parameters are invalid

## Member Data Documentation

## ◆ EnableStateChangedEvent

valueobject pdumodel::Inlet_2_0_4::EnableStateChangedEvent

Event: Inlet has been enabled or disabled.

New enable state

## ◆ SettingsChangedEvent

valueobject pdumodel::Inlet_2_0_4::SettingsChangedEvent

Event: Inlet settings have been changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Inlet.idl